﻿namespace MvcScriptManager.UniqueKeyEncoding
{
    /// <summary>
    /// Represents the scheme used for generating unique file references for the
    /// <see cref="ScriptManager"/> class.
    /// </summary>
    public enum UniqueKeyEncodingScheme
    {
        /// <summary>
        /// Renders a one-way hash based on the URL, and uses a local cache to
        /// store/retrieve the appropriate settings for each <see cref="ScriptReference"/>. This
        /// is the default behaviour.
        /// </summary>
        /// <remarks>
        /// May cause problems when implemented in a web farm environment, as the cache is per server
        /// </remarks>
        OneWayHash,

        /// <summary>
        /// Uses a two-way encoding scheme to output enough information to completely rebuild the
        /// <see cref="ScriptReference"/>.
        /// </summary>
        TwoWayEncoding
    }
}
